// REMNANTS OF NAEZITH, COLORIZE SHADER
#version 110
uniform sampler2D u_texture;
uniform vec3 u_color;

void main(){
	vec4 c = texture2D(u_texture, gl_TexCoord[0].xy);
	
	c.x = (c.x > 0.5) ? (1.0 - (1.0-2.0*(c.x-0.5)) * (1.0-u_color.x)) : ((2.0*c.x) * u_color.x);
	c.y = (c.y > 0.5) ? (1.0 - (1.0-2.0*(c.y-0.5)) * (1.0-u_color.y)) : ((2.0*c.y) * u_color.y);
	c.z = (c.z > 0.5) ? (1.0 - (1.0-2.0*(c.z-0.5)) * (1.0-u_color.z)) : ((2.0*c.z) * u_color.z);
	gl_FragColor = c;
} 