// REMNANTS OF NAEZITH, PARALLAX BACKGROUND SHADER
#version 110

uniform sampler2D texture;
uniform vec2 offset;

void main() {
    float offset_y = offset.y * 0.15;
    vec2 pos =      gl_TexCoord[0].xy*0.85;
    vec4 bg3 =      texture2D(texture, vec2(pos.x + offset.x     , (pos.y + offset_y    )*0.33       ));
    vec4 bg2 =      texture2D(texture, vec2(pos.x + offset.x*0.66, (pos.y + offset_y*.66)*0.33 + 0.33));
    gl_FragColor = (texture2D(texture, vec2(pos.x + offset.x*0.33, (pos.y + offset_y*.33)*0.33 + 0.67))*
                   (1.0 - bg2.a) + bg2 * bg2.a) * (1.0 - bg3.a) + bg3 * bg3.a;
}